daisy-player (11.4-1) unstable; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Sun, 11 Mar 2018 20:57:33 +0100

daisy-player (11.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Mon, 19 Feb 2018 20:40:37 +0100

daisy-player (11.3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, applied upstream

 -- Paul Gevers <elbrus@debian.org>  Sun, 28 Jan 2018 21:18:17 +0100

daisy-player (11.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, applied upstream
  * Bump standards to 4.1.3
  * Bump debhelper compat level to 11 and declare R³:no
  * Add fix-weird-character-in-configure.ac.patch
  * Add pick-up-config.h-in-daisy.h.patch to prevent FTBFS

 -- Paul Gevers <elbrus@debian.org>  Wed, 10 Jan 2018 19:43:02 +0100

daisy-player (11.2-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix build with libcdio 0.94. (Closes: #881793)

  [ Paul Gevers ]
  * Upload in Debian

 -- Paul Gevers <elbrus@debian.org>  Wed, 15 Nov 2017 19:30:57 +0100

daisy-player (11.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.1.1 (no changes).

  [ Paul Gevers ]
  * New upstream release
    - Now supports pulseaudio as it plays via sox
  * Add sox and libsox-fmt-mp3/pulse to Depends
  * Drop B-D on dh-autoreconf as debhelper 10+ handles this by default
  * Drop autopkgtest until we understand how to prevent autopkgtest to
    hang

 -- Paul Gevers <elbrus@debian.org>  Sat, 14 Oct 2017 19:30:04 +0200

daisy-player (10.6.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Sat, 23 Sep 2017 10:14:53 +0200

daisy-player (10.6.3-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.1.0 (no changes).

  [ Paul Gevers ]
  * New upstream release
  * Replace Depends on madplay by Build-Depends on libasound2-dev,
    libid3tag0-dev and libmad0-dev
  * Add very simple autopkgtest
  * Fix and override lintian warning configure-generated-file-in-source
  * Drop --with autoreconf from d/rules as it is enabled by default
    (thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Sun, 10 Sep 2017 20:36:37 +0200

daisy-player (10.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Mon, 10 Jul 2017 20:45:18 +0200

daisy-player (10.5.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * New upstream release
  * Bump standards version to 4.0.0 (no changes)
  * Drop patch, applied upstream

 -- Paul Gevers <elbrus@debian.org>  Sun, 09 Jul 2017 20:03:23 +0200

daisy-player (10.3-3) unstable; urgency=medium

  * Prevent txt2man -p to pick up the build dir to enable reproducible
    builds. Will be fixed in next upstream release (Closes: #844232)
  * Bump compat level to 10
  * Convert Vcs-* URLs to https
  * Enable hardening

 -- Paul Gevers <elbrus@debian.org>  Sat, 10 Dec 2016 20:30:26 +0100

daisy-player (10.3-2) unstable; urgency=medium

  * Team upload.
  * rules: Simplify strip rule.
  * rules: Set ddeb-migration.
  * rules: Use CURDIR instead of PWD.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * rules: pass --destdir=debian/tmp to dh_auto_install.
  * daisy-player.menu: Remove, superseded by XDG desktop file.
  * control: Bump Standards-Version to 3.9.8.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 17:49:47 +0200

daisy-player (10.3-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Generalize URL.

  [ Paul Gevers ]
  * New upstream release
  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Fri, 05 Jun 2015 13:28:39 +0200

daisy-player (10.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Wed, 18 Feb 2015 20:11:07 +0100

daisy-player (10.0-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.6 (no changes).

  [ Paul Gevers ]
  * New upstream release
  * Drop patch (applied upstream)
  * Add upstream key to validate downloads
  * Update years in d/copyright

 -- Paul Gevers <elbrus@debian.org>  Tue, 20 Jan 2015 21:01:16 +0100

daisy-player (9.0.0-1) unstable; urgency=medium

  * New upstream release
  * Simplify CFLAGS in d/rules
  * Add patch to fix the man-page for the move of g -> G for page
    seeking

 -- Paul Gevers <elbrus@debian.org>  Sat, 30 Aug 2014 20:14:01 +0200

daisy-player (8.7.0-1) unstable; urgency=medium

  * New upstream release
    - Add new copyright and license to d/copyright
  * Update upstream homepage in d/copyright

 -- Paul Gevers <elbrus@debian.org>  Sat, 05 Jul 2014 21:18:32 +0200

daisy-player (8.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #740844, LP: #1288253)
  * Update dependencies

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Apr 2014 21:47:16 +0200

daisy-player (8.5.1-1) unstable; urgency=low

  * New upstream release
  * Update years in d/copyright

 -- Paul Gevers <elbrus@debian.org>  Fri, 03 Jan 2014 19:22:08 +0100

daisy-player (8.4.5-1) unstable; urgency=low

  [ Paul Gevers ]
  * New upstream release
  * Drop localization patch (applied upstream)

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Paul Gevers <elbrus@debian.org>  Sun, 29 Dec 2013 21:13:49 +0100

daisy-player (8.4.1-1) unstable; urgency=low

  * New upstream release
  * Drop all patches (fixed upstream)
  * Replace dependency on unzip by unar
  * Simplify handling of icons (upstream also added them again)
  * Install gzipped version of the scalable icon.
  * Add README.testing to ease group packaging
  * Update homepage in d/control and d/watch
  * Fix localization (new patch)

 -- Paul Gevers <elbrus@debian.org>  Sun, 20 Oct 2013 09:34:19 +0200

daisy-player (8.3.5-1) unstable; urgency=low

  * New upstream release
  * Remove dh_clean override from rules again
  * Update dont_use_upstream_hardcoded_prefix.patch for changed context
  * Add keywords to desktop file (thanks lintian)
  * Add missing icon to debian dir and create png files during build
  * Update (build) dependencies for latest upstream source

 -- Paul Gevers <elbrus@debian.org>  Wed, 17 Jul 2013 15:52:18 +0200

daisy-player (8.3.0-1) unstable; urgency=low

  * New upstream release
  * Remove obsolete patches (included upstream)
  * d/rules: delete auto generated files on clean as upstream provided an
    unclean source
  * Update vcs-browser to canonical location (thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Sun, 16 Jun 2013 16:11:54 +0200

daisy-player (8.2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 May 2013 21:20:29 +0200

daisy-player (8.2.0-1) experimental; urgency=low

  * New upstream release
  * New patches:
    - prevent_linux_specific_on_non_linux.patch to prevent using an undeclared
      identifier on non-linux
    - fix_build_on_non_linux.patch to prevent build failure on non-linux
      by not loading unneeded header files
    - dont_use_upstream_hardcoded_prefix.patch to suppress unneeded warning as
      we overwrite the -DPREFIX parameter in d/rules.
    - fix_autostuff_on_languages.patch to allow autoreconf to install
      translations into the write location
  * Clean up d/rules as most stuff is now done correctly in the upstream build
    system
  * Add depends on autopoint and use dh_autoreconf instead of dh_autoconf
  * Update to debhelper 9 to ease hardening (i.s.o. b-depends hardening-wrapper)

 -- Paul Gevers <elbrus@debian.org>  Wed, 01 May 2013 21:10:52 +0200

daisy-player (8.1.0-1) experimental; urgency=low

  * New upstream release
  * Remove gvfs again as it fails on some archs so upstream replaced it with
    libcdio and co.
  * Update d/* to cope with new upstream build system and file layout

 -- Paul Gevers <elbrus@debian.org>  Sat, 13 Apr 2013 15:12:02 +0200

daisy-player (8.0.1-1) experimental; urgency=low

  * New upstream release
    - Add gvfs and libcddb-get-perl to recommends
  * Update d/rules for new language files location
  * Update d/copyright
  * Removed error.wav from installing (removed from tar ball)
  * Bump Standards-Version to 3.9.4 (no change needed)

 -- Paul Gevers <elbrus@debian.org>  Thu, 14 Mar 2013 20:50:13 +0100

daisy-player (7.2.2.1-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Remove DM-Upload-Allowed field, Paul is a DD now.

  [ Paul Gevers ]
  * New upstream release (two versions of 7.2.2 existed, this source file is
    the later one, hence the version)
    - Added languages (fr, es)
  * Update d/control with obsolete library dependency and my new address
  * Automate installation of all languages in d/rules and d/d-p.install

 -- Paul Gevers <elbrus@debian.org>  Wed, 03 Oct 2012 20:28:03 +0200

daisy-player (7.2.0-1) experimental; urgency=low

  * New upstream release
    - Now uses xml2 library i.s.o. Mini-XML
    - Added language (af)
  * Update d/control with new library dependency
  * Update d/copyright for removed files
  * Removed override_dh_installchangelogs target as the changelog is now found

 -- Paul Gevers <paul@climbing.nl>  Mon, 23 Jul 2012 21:44:28 +0200

daisy-player (7.1.1-1) unstable; urgency=low

  * New upstream release
    - Now uses Mini-XML (Closes: #658564)
  * Removed all patches (now upstream)
  * Update d/copyright with new year
  * Update d/control with new library dependency (libmxml)

 -- Paul Gevers <paul@climbing.nl>  Fri, 16 Mar 2012 18:57:47 +0100

daisy-player (7.0.4.1-2) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).
  * patches/buffer-size.patch: Increase buffer size, to cope with long
    elements (Closes: #642055).
  * debian/patches/realname.patch: New patch to fix realname to really return
    a valid string.
  * debian/patches/attribute.patch: New patch to fix get_attributes
    (Closes: #658564).
  * debian/patches/opf.patch: New patch to fix read_opf.

  [ Paul Gevers ]
  * Update d/copyright file with new format URL and fix errors (lintian)

 -- Paul Gevers <paul@climbing.nl>  Fri, 02 Mar 2012 21:06:09 +0100

daisy-player (7.0.4.1-1) unstable; urgency=low

  * New upstream release (two versions of 7.0.4 existed, this source file is the
    later one, hence the version)
    - Fixes crash when pressing space bar in viewing key bindings (LP: #818112)
    - Remove Makefile patch as upstream now includes CFLAGS in Makefile

 -- Paul Gevers <paul@climbing.nl>  Wed, 14 Sep 2011 19:58:32 +0200

daisy-player (7.0.3-1) unstable; urgency=low

  * New upstream release
    - Daisy-player now supports DAISY version 3: update description
  * Remove libcdio-dev as build dependency
  * Build with proper flags to let the debugging package contain symbols
    - Patch upstream Makefile to allow for command line CFLAGS
    - Update d/rules to get CFLAGS from dpkg-buildflags and pass them on

 -- Paul Gevers <paul@climbing.nl>  Fri, 29 Jul 2011 19:55:04 +0200

daisy-player (6.4.0-2) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.2 (no change needed)

  [ Paul Gevers ]
  * Dropped dependency on udisks for kfreebsd and add README.Debian describing
    the situation (udisks is linux specific, daisy-player works without udisks,
    but CD's aren't automatically mounted)
  * Bring the maintainer name in d/control in sync with other packages of the
    team (debian policy section 3.3)
  * Add madplay to build depends to prevent building on archs were madplay does
    not build yet due to bug #625649.

 -- Paul Gevers <paul@climbing.nl>  Mon, 13 Jun 2011 14:45:38 +0200

daisy-player (6.4.0-1) unstable; urgency=low

  [ Paul Gevers ]
  * New upstream release (closes: #620519)
  * Remove old Makefile patch (preventing stripping, now upstream)
  * Upstream improved code to implement configurable PREFIX parameter
    so applied PREFIX in d/rules
  * Added libsox-dev and libidn11-dev to build dependencies
  * Removed manual sox from dependenies
  * Updated d/copyright with new files

  [ Samuel Thibault ]
  * Set daisy-player Multi-Arch: foreign.

 -- Paul Gevers <paul@climbing.nl>  Thu, 31 Mar 2011 21:32:27 +0200

daisy-player (6.1.1-1) unstable; urgency=low

  * Initial release (closes: #595292)

 -- Paul Gevers <paul@climbing.nl>  Sun, 06 Feb 2011 15:15:00 +0100
